Skip to main content
`Ctrl`+`K`

# PCBDDCGetDirichletBoundaries

Get parallel `IS` for Dirichlet boundaries

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCGetDirichletBoundaries(PC pc, IS *DirichletBoundaries)

Collective

## Input Parameter

- pc - the preconditioning context

## Output Parameter

- DirichletBoundaries - index set defining the Dirichlet boundaries

## Note

The `IS` returned (if any) is the same passed in earlier by the user with `PCBDDCSetDirichletBoundaries()`

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCBDDCSetDirichletBoundaries()`

## Level

intermediate

## Location

src/ksp/pc/impls/bddc/bddc.c

## Implementations

PCBDDCGetDirichletBoundaries_BDDC() in src/ksp/pc/impls/bddc/bddc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages